import './globals.css'
import { ThemeProvider } from '@/contexts/ThemeContext'
import { UserProvider } from '@/contexts/UserContext'
import AuthGuard from '@/components/auth/AuthGuard'
import Notifications from '@/components/ui/Notifications'

export default function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
  // s
  return (
    <html lang="tr">
      <body className="antialiased">
        <ThemeProvider>
          <UserProvider>
            <AuthGuard>
              {children}
              <Notifications />
            </AuthGuard>
          </UserProvider>
        </ThemeProvider>
      </body>
    </html>
  )
} 